> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniverifier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Status

> Get the current progress of a catchall list



## OpenAPI

````yaml api-reference/openapi.yaml get /catchall/{listId}/status
openapi: 3.0.3
info:
  title: OmniVerifier Public API
  description: Public API for email verification and credit management
  version: 1.0.0
  contact:
    name: OmniVerifier Support
    email: support@omniverifier.com
servers:
  - url: https://api.omniverifier.com/v1/validate
    description: API Server
security:
  - ApiKeyAuth: []
paths:
  /catchall/{listId}/status:
    get:
      tags:
        - Catchall Detection
      summary: Get catchall list progress
      description: Get the current progress of a catchall list
      operationId: getCatchallListProgress
      parameters:
        - name: listId
          in: path
          required: true
          schema:
            type: string
          description: List ID
      responses:
        '200':
          description: Successfully retrieved list progress
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProgress'
        '404':
          description: List not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListProgress:
      type: object
      properties:
        id:
          type: integer
          description: List ID
          example: 12345
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
          description: Current list status
          example: processing
        progress:
          type: integer
          description: Processing progress percentage
          minimum: 0
          maximum: 100
          example: 75
        total_emails:
          type: integer
          description: Total number of emails in list
          example: 1000
        processed_emails:
          type: integer
          description: Number of emails processed
          example: 750
        estimated_completion:
          type: string
          format: date-time
          description: Estimated completion time
          example: '2024-01-15T10:30:00Z'
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Invalid API key
        code:
          type: string
          description: Error code
          example: INVALID_API_KEY
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````